GNU bug report logs - #16054
24.3; Disabling menu bar when minibuffer is active causes cursor to be disconnected from point

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: ture@HIDDEN; dated Wed, 4 Dec 2013 16:17:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16054 <at> debbugs.gnu.org:


Received: (at 16054) by debbugs.gnu.org; 4 Dec 2013 18:14:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 13:14:38 2013
Received: from localhost ([127.0.0.1]:58313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VoGy6-0005DT-GM
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 13:14:38 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:33278)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VoGy4-0005DJ-0U
 for 16054 <at> debbugs.gnu.org; Wed, 04 Dec 2013 13:14:37 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0MXA00600NYSP900@HIDDEN> for 16054 <at> debbugs.gnu.org;
 Wed, 04 Dec 2013 20:14:34 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MXA006OSO088TA0@HIDDEN>;
 Wed, 04 Dec 2013 20:14:33 +0200 (IST)
Date: Wed, 04 Dec 2013 20:14:30 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16054: 24.3;
 Disabling menu bar when minibuffer is active causes cursor to
 be	disconnected from point
In-reply-to: <3632618d04a8382cf6f3f819c619a980.squirrel@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: ture@HIDDEN
Message-id: <83r49s32m1.fsf@HIDDEN>
References: <3632618d04a8382cf6f3f819c619a980.squirrel@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16054
Cc: 16054 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Wed, 4 Dec 2013 16:28:54 +0100
> From: ture@HIDDEN
> 
> * Start a new terminal-mode Emacs:
> 
>     emacs -nw -Q
> 
>   Emacs displays, with menu bar on top of screen.
> 
> * Enable recursive minibuffers:
> 
>     M-: (setq enable-recursive-minibuffers t) RET
> 
> * Type C-x C-f. The minibuffer activates, prompting for a file name.
> 
> * Type C-u - 1 M-x menu-bar-mode RET. Menu bar goes away.
> 
> * Type a file name and RET.
> 
> * Editing now works, but the on-screen cursor does not reflect where
>   point is, but seems to move around somewhat unpredictably, and
>   screen layout is weird.
> 
> Verified on
> 
> * GNU Emacs 24.3.1 (i386-apple-darwin10.8.0, NS apple-appkit-1038.36)
> * GNU Emacs 24.3.1 (sparc-sun-solaris2.10, X toolkit, Xaw scroll bars)
> * GNU Emacs 21.4.1 (x86_64-redhat-linux-gnu, X toolkit, Xaw scroll bars)
> 
> Terminal was Apple's Terminal.app from MacOS 10.7 or XTerm.

FWIW, I cannot reproduce this with the current development trunk,
neither on GNU/Linux nor on MS-Windows.  So I guess it was already
fixed in some way.

In Emacs 24.3 built with --enable-checking, I get an assertion
violation.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16054; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Dec 2013 16:16:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 11:16:18 2013
Received: from localhost ([127.0.0.1]:58182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VoF7Z-00010u-4c
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 11:16:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40455)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ture@HIDDEN>) id 1VoENu-0008Bo-FF
 for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 10:29:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ture@HIDDEN>) id 1VoENt-0003nN-0E
 for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 10:29:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:56624)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ture@HIDDEN>) id 1VoENs-0003nJ-UI
 for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 10:29:04 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42137)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ture@HIDDEN>) id 1VoENr-00014i-Or
 for bug-gnu-emacs@HIDDEN; Wed, 04 Dec 2013 10:29:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ture@HIDDEN>) id 1VoENm-0003lZ-TL
 for bug-gnu-emacs@HIDDEN; Wed, 04 Dec 2013 10:29:03 -0500
Received: from mail.lysator.liu.se ([2001:6b0:17:f0a0::3]:43064)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ture@HIDDEN>) id 1VoENm-0003k2-LL
 for bug-gnu-emacs@HIDDEN; Wed, 04 Dec 2013 10:28:58 -0500
Received: from mail.lysator.liu.se (localhost [127.0.0.1])
 by mail.lysator.liu.se (Postfix) with ESMTP id 5A8354001C;
 Wed,  4 Dec 2013 16:28:54 +0100 (CET)
Received: from webmail.lysator.liu.se (unknown [IPv6:2001:6b0:17:f0a0::3])
 by mail.lysator.liu.se (Postfix) with ESMTP id 422B54001B;
 Wed,  4 Dec 2013 16:28:54 +0100 (CET)
Received: from 2001:6b0:17:f0a0::de (SquirrelMail authenticated user ture)
 by webmail.lysator.liu.se with HTTP; Wed, 4 Dec 2013 16:28:54 +0100
Message-ID: <3632618d04a8382cf6f3f819c619a980.squirrel@HIDDEN>
Date: Wed, 4 Dec 2013 16:28:54 +0100
Subject: 24.3; Disabling menu bar when minibuffer is active causes cursor to
 be disconnected from point
From: ture@HIDDEN
To: bug-gnu-emacs@HIDDEN
User-Agent: SquirrelMail/1.4.21
MIME-Version: 1.0
Content-Type: text/plain;charset=iso-8859-1
X-Priority: 3 (Normal)
Importance: Normal
X-Virus-Scanned: ClamAV using ClamSMTP
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 04 Dec 2013 11:16:14 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)

How to reproduce (I admit this is a rather convoluted use case, but
still... :-) )

* Start a new terminal-mode Emacs:

    emacs -nw -Q

  Emacs displays, with menu bar on top of screen.

* Enable recursive minibuffers:

    M-: (setq enable-recursive-minibuffers t) RET

* Type C-x C-f. The minibuffer activates, prompting for a file name.

* Type C-u - 1 M-x menu-bar-mode RET. Menu bar goes away.

* Type a file name and RET.

* Editing now works, but the on-screen cursor does not reflect where
  point is, but seems to move around somewhat unpredictably, and
  screen layout is weird.

Verified on

* GNU Emacs 24.3.1 (i386-apple-darwin10.8.0, NS apple-appkit-1038.36)
* GNU Emacs 24.3.1 (sparc-sun-solaris2.10, X toolkit, Xaw scroll bars)
* GNU Emacs 21.4.1 (x86_64-redhat-linux-gnu, X toolkit, Xaw scroll bars)

Terminal was Apple's Terminal.app from MacOS 10.7 or XTerm.






Acknowledgement sent to ture@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16054; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.